- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Public Member Functions
features Class Reference

`#include <features.h>`

## Public Member Functions
| features ()
| features (const size_t n)
| features (af_features f)
| ~features ()
features & | operator= (const features &f)
size_t | getNumFeatures () const
array | getX () const
array | getY () const
array | getScore () const
array | getOrientation () const
array | getSize () const
af_features | get () const

## Detailed Description

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

## Constructor & Destructor Documentation

features | ( |  | ) |

features | ( | const size_t | n | ) |

features | ( | af_features | f | ) |

~features | ( |  | ) |

## Member Function Documentation

af_features get | ( |  | ) | const

size_t getNumFeatures | ( |  | ) | const

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

array getOrientation | ( |  | ) | const

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

array getScore | ( |  | ) | const

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

array getSize | ( |  | ) | const

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

array getX | ( |  | ) | const

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

array getY | ( |  | ) | const

Examples:
  fast.cpp, harris.cpp, and susan.cpp.

features& operator= | ( | const features & | f | ) |

The documentation for this class was generated from the following file:

- features.h